//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "PropEg.h"
#include "RTTIUnit.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TDefaultProperty *)
{
  new TDefaultProperty(NULL);
}
//---------------------------------------------------------------------------
__fastcall TDefaultProperty::TDefaultProperty(TComponent* Owner)
  : TComponent(Owner)
{
  //This is a traditional way of setting
  //default property values - assign the
  //value required to each of the underlying
  //data fields one at a time, e.g.
  //FProperty1 = 10;
  //FProperty1 = 20;
  //FProperty1 = 30;

  //But here is a neater way as shown in "Secrets of Delphi 2"
  //use the RTTI to do it all automatically. The code
  //is then the same for each component constructor
  SetDefaults(this);
}
//---------------------------------------------------------------------------
namespace Propeg
{
  void __fastcall PACKAGE Register()
  {
     TComponentClass classes[1] = {__classid(TDefaultProperty)};
     RegisterComponents("Samples", classes, 0);
  }
}
//---------------------------------------------------------------------------
 